function loadProperties(lang) {
    $.i18n.properties({
        name: 'WebMsg',
        path: 'bundle/',
        mode: 'map',
        language: lang,
        async: true,
        callback: function () {
            updateContent();
            selectFooterLanguage(lang);
        }
    });
}

// If no match, return en-US.
function checkLanguage(systemLanguage) {
    systemLanguage = systemLanguage || '';
    var language = window.sessionStorage['lang'] || systemLanguage.toLowerCase() || navigator.language.toLowerCase();
    var languageArray = ["de-de", "en-us", "es-es", "fr-fr", "it-it", "ja-jp", "ko-kr", "pt-pt", "ru-ru", "zh-tw", "zh-cn"];
    if (languageArray.some(function (lang) {
            return language === lang;
        })) {
        return language;
    } else {
        return "en-us";
    }
}

function transform2Obj(inputData) {
    var obj = {};
    var inputDataArr = inputData.split(",");
    for (index in inputDataArr) {
        var element = inputDataArr[index].split(":");
        obj[element[0]] = element[1];
    }
    return obj;
}

function switchLanguage(language) {
    window.sessionStorage['lang'] = language;
    loadProperties(checkLanguage());
}

function selectFooterLanguage(lang) {
    $('#langMenu option[value=' + lang + ']').prop('selected', true);
}

// Logout
function logout() {
    $.ajax({
        url: "/apps/ASUS-WebStorage/post.cgi",
        type: "POST",
        contentType: "application/x-www-form-urlencoded; charset=UTF-8",
        data: "mod=999",
        beforeSend: function () {
            spinner.spin(target);
        },
        success: function (rs) {
            deleteCookieByName("UID");
            spinner.spin();
            document.location.href = "index.html"
        },
        error: function () {
            spinner.spin();
            alert("logout error");
        }
    });
}

function deleteCookieByName(name) {
    document.cookie = name + '=;expires=Thu, 01 Jan 1970 00:00:01 GMT;';
};

function setCookie(cname, cvalue) {
    var d = new Date();
    var day = 10;
    d.setTime(d.getTime() + (day * 24 * 60 * 60 * 1000));
    var expires = "expires=" + d.toUTCString();
    document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";
}

function getCookie(cname) {
    var name = cname + "=";
    var ca = document.cookie.split(';');
    for (var i = 0; i < ca.length; i++) {
        var c = ca[i];
        while (c.charAt(0) == ' ') {
            c = c.substring(1);
        }
        if (c.indexOf(name) == 0) {
            return c.substring(name.length, c.length);
        }
    }
    return "";
}
